## EditExposedParamInICECompoundNode

### Introduced

v7.0

### Description

Edits the exposed Parameter's characteristics in the ICECompoundNode.

### Scripting Syntax

    EditExposedParamInICECompoundNode( Parameter, [Name], [Min], [Max], [Picking], [Description], [ExposeType], [Enum], [PPGLayoutGroup] );

### Parameters

Parameter | Type | Description
--- | --- | ---
Parameter | String | Parameter to edit.
Name | String | Name for the parameter. Default Value: ""
Min | String | Minimum value for the parameter. Default Value: ""
Max | String | Maximum value for the parameter. Default Value: ""
Picking | String | Picking string for self-installed operators. Default Value: ""
Description | String | Description of the parameter. Default Value: ""
ExposeType | Integer | Port type. 0 for single instance, 1 for all instances, 2 for all instances with a copied node, 3 for all instances with an imported node Default Value: 0
Enum | String | Enum definition for the parameter. Default Value: ""
PPGLayoutGroup | String | PPG UI layout item can be regrouped in groups when the PPGLayoutGroup string is filled up. By using the delimiter ";", it is possible to create a group hierarchy. Default Value: ""

### See Also

AddAttributeToSetDataICENode AddICECompoundNode AddExposedParamToICECompoundNode AddICENode AddNodeToICECompoundNode CleanDisconnectedICENodes ConnectICENodes CreateICECompoundNode DisconnectICENodePort EditICECompoundPPGLogic EditICECompoundProperties ExplodeICECompoundNode GetICECompoundPortProperties GetICECompoundProperties RemoveAttributeFromSetDataICENode RemoveExposedParamFromICECompoundNode RemoveNodeFromICECompoundNode